// 
public class Model extends NeuralNetwork
{
	//  ,       
	boolean learn = false;
	
	// .        
	public Model(Genome G)
	{
		super(Param.N_input_Model, G.Nh_M, G.VM, G.WM);

		input = new double[N_input];
		hidden = new double[N_hidden];
	}

	//  
	void learning(double delta)
	{
		//     
		if(!learn)
		{
			learn = true;
			return;
		}

		//   
		for(int j = 0; j < N_hidden; j++)
		{
			for(int i = 0; i < N_input; i++)
				W[i][j] += - Param.alfa_Model * delta * V[j] * (1 - hidden[j] * hidden[j]) * input[i];
			V[j] += - Param.alfa_Model * delta * hidden[j];
		}
	}
}