//   
import java.awt.*;
import java.awt.event.*;

public class ParamEvol extends Frame
{
	class MainWA extends WindowAdapter
	{
		public void windowClosing(WindowEvent e)
		{
			System.exit(0);
		}
	}

	public ParamEvol()
	{
		super();
		this.addWindowListener(new MainWA());
		initFrame();
		this.show();
		this.setTitle("Parameters of Evolution");

		//   
		TextField_R.setText(Double.toString(Param.R));
		TextField_u.setText(Double.toString(Param.u));
		TextField_Rm.setText(Double.toString(Param.Rm));
		TextField_Rmin.setText(Double.toString(Param.Rmin));
		TextField_Pb_mut.setText(Double.toString(Param.Pb_mut));
		TextField_Pw_mut.setText(Double.toString(Param.Pw_mut));
		TextField_NP.setText(Integer.toString(Param.NP));
		TextField_NA.setText(Integer.toString(Param.NA));
		TextField_T.setText(Integer.toString(Param.T));
	}

	public void dispose()
	{
		super.dispose();
	}

	// ,    
	TextField TextField_R = new TextField();
	TextField TextField_u = new TextField();
	TextField TextField_Rm = new TextField();
	TextField TextField_Rmin = new TextField();
	TextField TextField_Pb_mut = new TextField();
	TextField TextField_Pw_mut = new TextField();
	TextField TextField_NP = new TextField();
	TextField TextField_NA = new TextField();
	TextField TextField_T = new TextField();

	Label label1 = new Label();
	Label label2 = new Label();
	Label label3 = new Label();
	Label label4 = new Label();
	Label label5 = new Label();
	Label label6 = new Label();
	Label label7 = new Label();
	Label label8 = new Label();
	Label label9 = new Label();

	Button buttonOK = new Button();
	Button buttonCancel = new Button();

	private void initFrame()
	{
		this.setBackground(Color.lightGray);
		this.resize(390, 340);
		this.setResizable(false);
		this.setLayout(null);

		label1.setText("Initial resource");
		label1.setBounds(new Rectangle(20, 40, 300, 20));
		label2.setText("Initial part of capital in actions");
		label2.setBounds(new Rectangle(20, 65, 300, 20));
		label3.setText("Resource needed for mating");
		label3.setBounds(new Rectangle(20, 90, 300, 20));
		label4.setText("Minimal resource");
		label4.setBounds(new Rectangle(20, 115, 300, 20));
		label5.setText("Probability of neuron mutation");
		label5.setBounds(new Rectangle(20, 140, 300, 20));
		label6.setText("Dispersion for synapse mutation");
		label6.setBounds(new Rectangle(20, 165, 300, 20));
		label7.setText("Number of sub-populations");
		label7.setBounds(new Rectangle(20, 190, 300, 20));
		label8.setText("Initial number of agents in a sub-population");
		label8.setBounds(new Rectangle(20, 215, 300, 20));
		label9.setText("Maximum duration of agent's life");
		label9.setBounds(new Rectangle(20, 240, 300, 20));

		TextField_R.setBounds(new Rectangle(320, 40, 50, 20));
		TextField_u.setBounds(new Rectangle(320, 65, 50, 20));
		TextField_Rm.setBounds(new Rectangle(320, 90, 50, 20));
		TextField_Rmin.setBounds(new Rectangle(320, 115, 50, 20));
		TextField_Pb_mut.setBounds(new Rectangle(320, 140, 50, 20));
		TextField_Pw_mut.setBounds(new Rectangle(320, 165, 50, 20));
		TextField_NP.setBounds(new Rectangle(320, 190, 50, 20));
		TextField_NA.setBounds(new Rectangle(320, 215, 50, 20));
		TextField_T.setBounds(new Rectangle(320, 240, 50, 20));

		buttonOK.setLabel("OK");
		buttonOK.setBounds(new Rectangle(90, 290, 80, 25));
		buttonCancel.setLabel("Cancel");
		buttonCancel.setBounds(new Rectangle(220, 290, 80, 25));

		buttonCancel.addActionListener(new java.awt.event.ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				buttonCancel_actionPerformed(e);
			}
		});

		buttonOK.addActionListener(new java.awt.event.ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				buttonOK_actionPerformed(e);
			}
		});

		this.add(label1, null);
		this.add(label2, null);
		this.add(label3, null);
		this.add(label4, null);
		this.add(label5, null);
		this.add(label6, null);
		this.add(label7, null);
		this.add(label8, null);
		this.add(label9, null);

		this.add(TextField_R, null);
		this.add(TextField_u, null);
		this.add(TextField_Rm, null);
		this.add(TextField_Rmin, null);
		this.add(TextField_Pb_mut, null);
		this.add(TextField_Pw_mut, null);
		this.add(TextField_NP, null);
		this.add(TextField_NA, null);
		this.add(TextField_T, null);

		this.add(buttonOK, null);
		this.add(buttonCancel, null);
	}

	//   
	void buttonCancel_actionPerformed(ActionEvent e)
	{
		this.dispose();
	}

	//   
	void buttonOK_actionPerformed(ActionEvent e)
	{
		// 
		Param.R = (Double.valueOf(TextField_R.getText())).doubleValue();
		Param.u = (Double.valueOf(TextField_u.getText())).doubleValue();
		Param.Rm = (Double.valueOf(TextField_Rm.getText())).doubleValue();
		Param.Rmin = (Double.valueOf(TextField_Rmin.getText())).doubleValue();
		Param.Pb_mut = (Double.valueOf(TextField_Pb_mut.getText())).doubleValue();
		Param.Pw_mut = (Double.valueOf(TextField_Pw_mut.getText())).doubleValue();
		Param.NP = (Integer.valueOf(TextField_NP.getText())).intValue();
		Param.NA = (Integer.valueOf(TextField_NA.getText())).intValue();
		Param.T = (Integer.valueOf(TextField_T.getText())).intValue();
		this.dispose();
	}
}