//     
import java.awt.*;
import java.awt.event.*;

public class ParamFlyCom extends Frame
{
	class MainWA extends WindowAdapter
	{
		public void windowClosing(WindowEvent e)
		{
			System.exit(0);
		}
	}

	public ParamFlyCom()
	{
		super();
		this.addWindowListener(new MainWA());
		initFrame();
		this.show();
		this.setTitle("Parameters of Flying and Communication");

		//   
		TextField_kmax.setText(Integer.toString(Param.kmax));
		TextField_y.setText(Double.toString(Param.y));
		TextField_P_com.setText(Double.toString(Param.P_com));
		TextField_P_fly_max.setText(Double.toString(Param.P_fly_max));
		TextField_kapa.setText(Double.toString(Param.kapa));
		TextField_dR_fly.setText(Double.toString(Param.dR_fly));
		TextField_dR_com.setText(Double.toString(Param.dR_com));
	}

	public void dispose()
	{
		super.dispose();
	}

	// ,    
	TextField TextField_kmax = new TextField();
	TextField TextField_y = new TextField();
	TextField TextField_P_com = new TextField();
	TextField TextField_P_fly_max = new TextField();
	TextField TextField_kapa = new TextField();
	TextField TextField_dR_com = new TextField();
	TextField TextField_dR_fly = new TextField();

	Label label1 = new Label();
	Label label2 = new Label();
	Label label3 = new Label();
	Label label4 = new Label();
	Label label5 = new Label();
	Label label6 = new Label();
	Label label7 = new Label();

	Button buttonOK = new Button();
	Button buttonCancel = new Button();

	private void initFrame()
	{
		this.setBackground(Color.lightGray);
		this.resize(390, 290);
		this.setResizable(false);
		this.setLayout(null);

		label1.setText("Memory depth");
		label1.setBounds(new Rectangle(20, 40, 300, 20));
		label2.setText("Discount factor (ksi)");
		label2.setBounds(new Rectangle(20, 65, 300, 20));
		label3.setText("Probability of sending a signal");
		label3.setBounds(new Rectangle(20, 90, 300, 20));
		label4.setText("Maximum probability of flying");
		label4.setBounds(new Rectangle(20, 115, 300, 20));
		label5.setText("kapa");
		label5.setBounds(new Rectangle(20, 140, 300, 20));
		label6.setText("Expenses for communication");
		label6.setBounds(new Rectangle(20, 165, 300, 20));
		label7.setText("Expenses for flying");
		label7.setBounds(new Rectangle(20, 190, 300, 20));

		TextField_kmax.setBounds(new Rectangle(320, 40, 50, 20));
		TextField_y.setBounds(new Rectangle(320, 65, 50, 20));
		TextField_P_com.setBounds(new Rectangle(320, 90, 50, 20));
		TextField_P_fly_max.setBounds(new Rectangle(320, 115, 50, 20));
		TextField_kapa.setBounds(new Rectangle(320, 140, 50, 20));
		TextField_dR_com.setBounds(new Rectangle(320, 165, 50, 20));
		TextField_dR_fly.setBounds(new Rectangle(320, 190, 50, 20));

		buttonOK.setLabel("OK");
		buttonOK.setBounds(new Rectangle(90, 240, 80, 25));
		buttonCancel.setLabel("Cancel");
		buttonCancel.setBounds(new Rectangle(220, 240, 80, 25));

		buttonCancel.addActionListener(new java.awt.event.ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				buttonCancel_actionPerformed(e);
			}
		});

		buttonOK.addActionListener(new java.awt.event.ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				buttonOK_actionPerformed(e);
			}
		});

		this.add(label1, null);
		this.add(label2, null);
		this.add(label3, null);
		this.add(label4, null);
		this.add(label5, null);
		this.add(label6, null);
		this.add(label7, null);

		this.add(TextField_kmax, null);
		this.add(TextField_y, null);
		this.add(TextField_P_com, null);
		this.add(TextField_P_fly_max, null);
		this.add(TextField_kapa, null);
		this.add(TextField_dR_com, null);
		this.add(TextField_dR_fly, null);

		this.add(buttonOK, null);
		this.add(buttonCancel, null);
	}

	//   
	void buttonCancel_actionPerformed(ActionEvent e)
	{
		this.dispose();
	}

	//   
	void buttonOK_actionPerformed(ActionEvent e)
	{
		// 
		Param.kmax = (Integer.valueOf(TextField_kmax.getText())).intValue();
		Param.y = (Double.valueOf(TextField_y.getText())).doubleValue();
		Param.P_com = (Double.valueOf(TextField_P_com.getText())).doubleValue();
		Param.P_fly_max = (Double.valueOf(TextField_P_fly_max.getText())).doubleValue();
		Param.kapa = (Double.valueOf(TextField_kapa.getText())).doubleValue();
		Param.dR_com = (Double.valueOf(TextField_dR_com.getText())).doubleValue();
		Param.dR_fly = (Double.valueOf(TextField_dR_fly.getText())).doubleValue();
		this.dispose();
	}
}